Bug 1306271 - Grub.cfg from grub2-mkconfig is corrupted
Grub.cfg from grub2-mkconfig is corrupted
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-10 07:58 EST by Leslie Satenstein
Modified: 2016-12-20 13:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 13:36:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
grub2.cfg (20.41 KB, text/plain)
2016-02-10 07:58 EST, Leslie Satenstein
no flags Details

  None (edit)
Description Leslie Satenstein 2016-02-10 07:58:58 EST
Created attachment 1122785 [details]

Description of problem:
I have a 5 disk system with the following:

/dev/sda   w10
/dev/sdb   Korora23-Gnome --Fedora Remix
/dev/sdc   Korora23-xfce  --Fedora Remix
/dev/sdd5  SUSE-KDE       --SUSE's Tumbleweed
/dev/sdd7  Korora23-Cinn  --Fedora Remix
/dev/sde   Chapeau23      --Fedora Remix

The Remix versions have rpmfusion.org additional software built-in

The grub2.cfg is corrupted.  After completing the basic configuration, there are a group of control-Ms and then some repeat of the earlier parts of menuconfig

If the /dev/sdd7 Korora is purged, grub.cfg is not corrupted.

Version-Release number of selected component (if applicable):

How reproducible:

grub2-mkconfig -o /boot2/grub2/grub.cfg

Steps to Reproduce:

Actual results:

Expected results:

Additional info:

Console output

grub2-mkconfig -o /boot/grub2/grub.cfg
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.3.5-300.fc23.x86_64
Found initrd image: /boot/initramfs-4.3.5-300.fc23.x86_64.img
Found linux image: /boot/vmlinuz-4.3.4-300.fc23.x86_64
Found initrd image: /boot/initramfs-4.3.4-300.fc23.x86_64.img
Found linux image: /boot/vmlinuz-4.3.3-303.fc23.x86_64
Found initrd image: /boot/initramfs-4.3.3-303.fc23.x86_64.img
Found linux image: /boot/vmlinuz-0-rescue-2e2095ce977b4251a99adf6ac6c3af48
Found initrd image: /boot/initramfs-0-rescue-2e2095ce977b4251a99adf6ac6c3af48.img
Found Windows 10 (loader) on /dev/sda1
Found Korora release 23 (XFCE) on /dev/sdb6
Found Korora release 23 (Coral) on /dev/sdc5
Found openSUSE 20160207 (x86_64) on /dev/sdd4
Found Korora release 23 (Cin) on /dev/sdd7
Comment 1 Fedora End Of Life 2016-11-24 10:29:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:36:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.